"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DeleteRouteResponseInput_1 = require("../shapes/DeleteRouteResponseInput");
const DeleteRouteResponseOutput_1 = require("../shapes/DeleteRouteResponseOutput");
const NotFoundException_1 = require("../shapes/NotFoundException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteRouteResponse = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteRouteResponse",
    http: {
        method: "DELETE",
        requestUri: "/v2/apis/{apiId}/routes/{routeId}/routeresponses/{routeResponseId}"
    },
    input: {
        shape: DeleteRouteResponseInput_1.DeleteRouteResponseInput
    },
    output: {
        shape: DeleteRouteResponseOutput_1.DeleteRouteResponseOutput
    },
    errors: [
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=DeleteRouteResponse.js.map