"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ___listOf__string_1 = require("./___listOf__string");
const _Tags_1 = require("./_Tags");
exports.CreateApiOutput = {
    type: "structure",
    required: [],
    members: {
        ApiEndpoint: {
            shape: {
                type: "string"
            },
            locationName: "apiEndpoint"
        },
        ApiId: {
            shape: {
                type: "string"
            },
            locationName: "apiId"
        },
        ApiKeySelectionExpression: {
            shape: {
                type: "string"
            },
            locationName: "apiKeySelectionExpression"
        },
        CreatedDate: {
            shape: {
                type: "timestamp",
                timestampFormat: "iso8601"
            },
            locationName: "createdDate"
        },
        Description: {
            shape: {
                type: "string"
            },
            locationName: "description"
        },
        DisableSchemaValidation: {
            shape: {
                type: "boolean"
            },
            locationName: "disableSchemaValidation"
        },
        Name: {
            shape: {
                type: "string"
            },
            locationName: "name"
        },
        ProtocolType: {
            shape: {
                type: "string"
            },
            locationName: "protocolType"
        },
        RouteSelectionExpression: {
            shape: {
                type: "string"
            },
            locationName: "routeSelectionExpression"
        },
        Version: {
            shape: {
                type: "string"
            },
            locationName: "version"
        },
        Warnings: {
            shape: ___listOf__string_1.___listOf__string,
            locationName: "warnings"
        },
        Tags: {
            shape: _Tags_1._Tags,
            locationName: "tags"
        }
    }
};
//# sourceMappingURL=CreateApiOutput.js.map