"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _Tags_1 = require("./_Tags");
exports.TagResourceInput = {
    type: "structure",
    required: ["ResourceArn"],
    members: {
        ResourceArn: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "resource-arn"
        },
        Tags: {
            shape: _Tags_1._Tags,
            locationName: "tags"
        }
    }
};
//# sourceMappingURL=TagResourceInput.js.map