import { CreateApiInput } from "./CreateApiInput";
import { CreateApiMappingInput } from "./CreateApiMappingInput";
import { CreateAuthorizerInput } from "./CreateAuthorizerInput";
import { CreateDeploymentInput } from "./CreateDeploymentInput";
import { CreateDomainNameInput } from "./CreateDomainNameInput";
import { CreateIntegrationInput } from "./CreateIntegrationInput";
import { CreateIntegrationResponseInput } from "./CreateIntegrationResponseInput";
import { CreateModelInput } from "./CreateModelInput";
import { CreateRouteInput } from "./CreateRouteInput";
import { CreateRouteResponseInput } from "./CreateRouteResponseInput";
import { CreateStageInput } from "./CreateStageInput";
import { DeleteApiInput } from "./DeleteApiInput";
import { DeleteApiMappingInput } from "./DeleteApiMappingInput";
import { DeleteAuthorizerInput } from "./DeleteAuthorizerInput";
import { DeleteDeploymentInput } from "./DeleteDeploymentInput";
import { DeleteDomainNameInput } from "./DeleteDomainNameInput";
import { DeleteIntegrationInput } from "./DeleteIntegrationInput";
import { DeleteIntegrationResponseInput } from "./DeleteIntegrationResponseInput";
import { DeleteModelInput } from "./DeleteModelInput";
import { DeleteRouteInput } from "./DeleteRouteInput";
import { DeleteRouteResponseInput } from "./DeleteRouteResponseInput";
import { DeleteStageInput } from "./DeleteStageInput";
import { GetApiInput } from "./GetApiInput";
import { GetApiMappingInput } from "./GetApiMappingInput";
import { GetApiMappingsInput } from "./GetApiMappingsInput";
import { GetApisInput } from "./GetApisInput";
import { GetAuthorizerInput } from "./GetAuthorizerInput";
import { GetAuthorizersInput } from "./GetAuthorizersInput";
import { GetDeploymentInput } from "./GetDeploymentInput";
import { GetDeploymentsInput } from "./GetDeploymentsInput";
import { GetDomainNameInput } from "./GetDomainNameInput";
import { GetDomainNamesInput } from "./GetDomainNamesInput";
import { GetIntegrationInput } from "./GetIntegrationInput";
import { GetIntegrationResponseInput } from "./GetIntegrationResponseInput";
import { GetIntegrationResponsesInput } from "./GetIntegrationResponsesInput";
import { GetIntegrationsInput } from "./GetIntegrationsInput";
import { GetModelInput } from "./GetModelInput";
import { GetModelTemplateInput } from "./GetModelTemplateInput";
import { GetModelsInput } from "./GetModelsInput";
import { GetRouteInput } from "./GetRouteInput";
import { GetRouteResponseInput } from "./GetRouteResponseInput";
import { GetRouteResponsesInput } from "./GetRouteResponsesInput";
import { GetRoutesInput } from "./GetRoutesInput";
import { GetStageInput } from "./GetStageInput";
import { GetStagesInput } from "./GetStagesInput";
import { GetTagsInput } from "./GetTagsInput";
import { TagResourceInput } from "./TagResourceInput";
import { UntagResourceInput } from "./UntagResourceInput";
import { UpdateApiInput } from "./UpdateApiInput";
import { UpdateApiMappingInput } from "./UpdateApiMappingInput";
import { UpdateAuthorizerInput } from "./UpdateAuthorizerInput";
import { UpdateDeploymentInput } from "./UpdateDeploymentInput";
import { UpdateDomainNameInput } from "./UpdateDomainNameInput";
import { UpdateIntegrationInput } from "./UpdateIntegrationInput";
import { UpdateIntegrationResponseInput } from "./UpdateIntegrationResponseInput";
import { UpdateModelInput } from "./UpdateModelInput";
import { UpdateRouteInput } from "./UpdateRouteInput";
import { UpdateRouteResponseInput } from "./UpdateRouteResponseInput";
import { UpdateStageInput } from "./UpdateStageInput";
export declare type InputTypesUnion = CreateApiInput | CreateApiMappingInput | CreateAuthorizerInput | CreateDeploymentInput | CreateDomainNameInput | CreateIntegrationInput | CreateIntegrationResponseInput | CreateModelInput | CreateRouteInput | CreateRouteResponseInput | CreateStageInput | DeleteApiInput | DeleteApiMappingInput | DeleteAuthorizerInput | DeleteDeploymentInput | DeleteDomainNameInput | DeleteIntegrationInput | DeleteIntegrationResponseInput | DeleteModelInput | DeleteRouteInput | DeleteRouteResponseInput | DeleteStageInput | GetApiInput | GetApiMappingInput | GetApiMappingsInput | GetApisInput | GetAuthorizerInput | GetAuthorizersInput | GetDeploymentInput | GetDeploymentsInput | GetDomainNameInput | GetDomainNamesInput | GetIntegrationInput | GetIntegrationResponseInput | GetIntegrationResponsesInput | GetIntegrationsInput | GetModelInput | GetModelTemplateInput | GetModelsInput | GetRouteInput | GetRouteResponseInput | GetRouteResponsesInput | GetRoutesInput | GetStageInput | GetStagesInput | GetTagsInput | TagResourceInput | UntagResourceInput | UpdateApiInput | UpdateApiMappingInput | UpdateAuthorizerInput | UpdateDeploymentInput | UpdateDomainNameInput | UpdateIntegrationInput | UpdateIntegrationResponseInput | UpdateModelInput | UpdateRouteInput | UpdateRouteResponseInput | UpdateStageInput;
